@charset "utf-8";

/* ここから共通設定 */

/*背景にロゴ表示設定*/

.pc {
  display: none;
}
html {
  scroll-behavior: smooth;
}

body {
  background-color: #eee;
  background-image: url(../img/logo.png);
  background-size: 200px;
  background-position: center;
  background-attachment: fixed;
}

main {
  padding: 0 100px;
}

li,
a {
  list-style: none;
  text-decoration: none;
  color: #3b393f;
}

h2,
h3,
h4 {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 900;
  color: #3b393f;
}

p {
  color: #3b393f;
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 500;
  letter-spacing: -0.2px;
}

/*ここからボタン共通設定*/
.button a {
  position: relative;
  overflow: hidden;
  border-radius: 3px;
  text-decoration: none;
  display: block;
  max-width: 250px;
  background: #eee;
  margin: auto;
  padding: 10px 30px;
  font-family: "Noto Sans Japanese";
  font-weight: 500;
  text-align: center;
  line-height: 1.8;
  text-decoration: none;
  outline: none;
  transition: ease 0.2s;
}

.button a span {
  position: relative;
  z-index: 3;
  color: #333;
}

.button a:hover span {
  color: #fff;
}

.bgleft:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  background: #333;
  width: 100%;
  height: 100%;
  transition: transform 0.6s cubic-bezier(0.8, 0, 0.2, 1) 0s;
  transform: scale(0, 1);
  transform-origin: right top;
}

.bgleft:hover:before {
  transform-origin: left top;
  transform: scale(1, 1);
}

.button-wrapper {
  height: 500px;
  width: 500px;
}

/*ここからフェードイン設定*/
.scroll-space {
  box-sizing: border-box;
  color: #323844;
  overflow: hidden;
  height: 1700px;
}

.scroll-space-frame {
  height: 500px;
  border: solid 3px #323844;
}

.fadein {
  opacity: 0;
  transform: translate(0, 0);
  transition: all 1.5s;

  &.fadein-left {
    transform: translate(-50px, 0);
  }

  &.fadein-right {
    transform: translate(50px, 0);
  }

  &.fadein-up {
    transform: translate(0, -50px);
  }

  &.fadein-bottom {
    transform: translate(0, 50px);
  }

  &.scrollin {
    opacity: 1 !important;
    transform: translate(0, 0) !important;
  }
}

/*ここからヘッダーPC設定*/
#header {
  width: 100%;
  height: 100px;
}

.header-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-logo img {
  width: 100px;
  margin: 15px;
  margin-left: 100px;
}

.header-logo {
  position: fixed;
  z-index: 100;
  top: 10px;
}

.headermenu-wrapper ul {
  display: flex;
  position: fixed;
  top: 20px;
  right: 50px;
  z-index: 100;
}

.headermenu-wrapper li {
  font-size: 28px;
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 900;
  margin: 20px;
  margin-left: 25px;
}

/*★★★★★ ここからファーストビューPC設定 ★★★★★*/
#first-view {
  height: 100vh;
  background-image: url(../img/first-view.jpg);
  background-position: center;
  background-size: cover;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px 180px;
  padding-top: 150px;
  margin-top: -100px;
}

.first-view-img1-wrapper {
  width: 600px;
}

.first-view-img1 {
  display: block;
  width: 600px;
  margin: 0 auto;
}

.first-view-img2-wrapper {
  height: 100%;
  width: 500px;
  align-items: center;
  display: flex;
  flex-direction: column;
}

.first-view-p-wrapper {
  width: 500px;
  padding: 30px;
  text-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
}

.first-view-p-wrapper p {
  color: #fff;
  text-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
}

#first-view h3 {
  margin-bottom: 20px;
  color: #fff;
}

/*ひし形container*/
.first-view-img2-container {
  width: 400px;
  height: 370px;
  justify-self: center;
  perspective: 1000px;
  transform-style: preserve-3d;
  animation: 7s linear infinite rotation3;
  animation-timing-function: cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

/*ひし形画像アニメーション*/
.card-face {
  width: 100%;
  height: 100%;
  position: absolute;
  backface-visibility: hidden;
  transition: transform 0.5s;
}

.card-face img {
  width: 100%;
  height: 100%;
}

.card-back {
  transform: rotateY(180deg);
}

@keyframes rotation3 {
  0% {
    transform: rotateY(0deg);
  }

  100% {
    transform: rotateY(360deg);
  }
}

/*★★★★★ ここからFRAME　PC設定 ★★★★★*/

#frame {
  height: 1050px;
  background-color: #fff;
  margin-top: 480px;
  padding: 70px;
  position: relative;
}

#frame h2 {
  font-size: 80px;
  padding-left: 10%;
}

/*frameテキスト設定*/
.frame-text-wrapper {
  width: 500px;
  padding: 40px;
  background-color: rgba(250, 250, 255, 0.9);
  border-radius: 10px;
  position: absolute;
  top: 600px;
  left: 30%;
}

.frame-text-wrapper h3 {
  color: #3b393f;
  margin: 10px;
}

.frame-text-wrapper span {
  font-size: 38px;
  margin-left: 10px;
}

/*frame各画像設定*/
/*人物青*/
.frame-img1 {
  width: 500px;
  height: auto;
  position: absolute;
  top: 250px;
  left: 10%;
}

/*めがね*/
.frame-img2 {
  width: 600px;
  height: auto;
  position: absolute;
  top: 700px;
  left: 60%;
}

/*人物赤*/
.frame-img3 {
  width: 600px;
  height: auto;
  position: absolute;
  top: 100px;
  left: 45%;
}

/*★★★ここからITEM　PC設定★★★★*/
#items h2 {
  font-size: 60px;
  margin: 18px;
}

/*商品外枠*/
.item-wrapper {
  background-color: #fff;
  display: flex;
  overflow-x: scroll;
}

/*商品枠　個々*/
.items-wrapper {
  padding: 30px;
  margin: 18px;
  background-color: #fff;
  box-shadow: 0 0 15px 3px rgba(0, 0, 0, 0.1);
}

.items-wrapper img {
  width: 300px;
  height: 350px;
}

.items-textbox p {
  font-size: 22px;
  font-weight: 700;
}

/*item btn設定*/
.flex-center {
  display: flex;
  width: 300px;
  justify-content: center;
  align-items: center;
}

.button a {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  width: 250px;
  padding: 10px 25px;
  color: #333;
  font-family: "Noto Sans Japanese";
  text-decoration: none;
  color: #333;
  line-height: 1.8;
  transition: 0.3s ease-in-out;
  font-weight: 500;
  background: #eee;
  border-radius: 9999px;
  border-bottom: 2px solid #999;
  box-shadow: 0 2px 7px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0 2px 7px rgba(0, 0, 0, 0.3);
}

.button a:hover {
  color: #fff;
  background: #999;
  border-bottom: 2px solid #fff;
  transform: translateY(3px);
}

/*商品カラーサークル設定*/
.color-circle {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: rgb(85, 85, 85);
  border: solid 2px #fff;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.3);
  margin: 3px;
  margin-top: 10px;
}

.color-circle-wrapper {
  display: flex;
}

.red {
  background-color: chocolate;
}

.white {
  background-color: #e9e9e9;
}

.blue {
  background-color: rgb(87, 144, 248);
}

/*★★★★★ここからmodel×GLASSEES　pc設定★★★★★*/

#model {
  background-color: #fff;
  margin-top: 300px;
  align-items: center;
  padding-bottom: 100px;
}

#model h2 {
  font-size: 60px;
  padding-top: 80px;
  padding-left: 150px;
}

.model-p {
  width: 400px;
  /* padding: 20px; */
  /* border: solid 3px #323844; */
}

.model-wrapper1 {
  width: 100%; /* 例: 親要素の90%の幅 */
  max-width: 1500px; /* 例: 最大幅を設定 */
  margin: 0 auto;
  display: flex;
  align-items: center;
}

.model-text-wrapper {
  margin: 0 auto;
}

.model-img-wrapper1,
.model-img-wrapper2,
.model-img-wrapper3 {
  position: relative;
}

/*model画像⓵*/
.model-img-wrapper1 img {
  width: 500px;
  height: auto;
  margin: 50px;
  margin-top: 80px;
  margin-left: 100px;
  position: relative;
}

.model1-img,
.model2-img,
.model3-img {
  width: 500px;
  height: 300px;
  background-image: url(../img/glass-08.jpg);
  background-position: center;
  background-size: 80%;
  margin: 0 auto;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.model2-img {
  background-color: #e0e0e0;
  background-image: url(../img/glass-07.jpg);
  background-position: center;
}

.model3-img {
  background-image: url(../img/glass-03.jpg);
}

/*model画像⓶*/
.model-img2 img {
  width: 500px;
  height: 300px;
  margin: 50px;
  margin-right: 100px;
  /* transform: rotate(10deg); */
  position: relative;
}

.model-text-wrapper2 {
  margin-left: 100px;
}

/*Ryo Inoue*/
.span3 {
  position: absolute;
  top: 100px;
  left: 30px;
}

/*Aoi Sato*/
.span4 {
  position: absolute;
  top: 80px;
  left: 80px;
}

.model-img-wrapper1 p {
  display: block;
  color: #fff;
  font-size: 20px;
  font-weight: 600;
  text-align: center;
}

.model-img-wrapper1 span {
  display: block;
  background-color: rgba(172, 163, 164, 0.8);
  width: fit-content;
  clip-path: polygon(5% 0, 100% 0%, 95% 100%, 0% 100%);
  position: absolute;
}

/*モーション設定*/
.motion {
  max-width: fit-content;
  white-space: nowrap;
  overflow: hidden;
  position: relative;
  animation: none;
}

.motion.is-animated {
  animation: motion 6s cubic-bezier(0.4, 0, 0, 1) forwards;
}

@keyframes motion {
  from {
    width: 0%;
  }

  to {
    width: 100%;
  }
}

.model-h4 {
  font-size: 64px;
}

/*Nose Relief &times; Kim Taehyung*/
.h4-size {
  font-size: 60px;
}

.model-h4-price,
.model-h4-price2 {
  font-size: 36px;
  font-weight: 700;
  text-align: center;
}

.model-h4-price2 {
  text-align: center;
}

.model-h4-sub,
.model-h4-sub2 {
  font-size: 36px;
  padding-top: 10px;
  border-top: solid 1px #323844;
}

/*独自の設計で鼻への圧迫感を軽減したモデル。*/
.model-h4-sub-sub {
  font-size: 34px;
}

.model-h4-sub2 {
  margin-top: 10px;
}

.model-p {
  font-size: 18px;
  margin: 25px 3px;
  width: 700px;
}

/*★★★★★ここからAbout　PC設定★★★★★*/

#about {
  margin: 200px 0;
}

/*aboutロゴ・テキストflex設定*/
.about1-text-wrapper {
  display: flex;
  flex-direction: column;
}

.about1-logo-wrapper {
  position: relative;
  display: flex;
}

.about1-logo-wrapper h2 {
  font-size: 60px;
}

/*ロゴにつながる黒線*/
.about1-logo-wrapper span {
  display: block;
  width: 300px;
  height: 2px;
  background-color: #333;
  position: absolute;
  top: 90px;
  left: 0%;
}

/*ロゴ設定*/
.about-logo {
  display: block;
  width: 150px;
  margin-left: 100px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  /* border: solid 3px #323844; */
}

/*About本文設定*/
.about2-p-wrapper {
  display: flex;
  justify-self: center;
  width: 500px;
  margin: 0 auto;
  padding: 0 100px;
}

.about1-wrapper,
.about2-wrapper {
  display: flex;
  width: 1100px;
  justify-content: space-around;
  margin: 0 auto;
  align-items: center;
}

.about1-img-wrapper,
.about2-img-wrapper {
  width: 530px;
  height: 370px;
  background-image: url(../img/glass-05.jpg);
  background-position: center;
  background-size: 80%;
  background-size: cover;
  border-radius: 5px;
}

.about2-img-wrapper {
  height: 450px;
  background-position: 0 -70px;
  background-image: url(../img/model-12.jpg);
}

/*★★★★★ここからフッター設定★★★★★*/

footer {
  background-color: #333;
  padding-top: 100px;
  height: fit-content;
}

footer p,
footer a,
footer small {
  color: #fff;
  display: block;
  text-align: center;
}

footer a {
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  font-size: 36px;
}

/*フッター・ロゴ*/
footer img {
  display: block;
  width: 150px;
  margin: 0 auto;
}

.footermenu-wrapper ul,
.sns-icon {
  display: flex;
  width: fit-content;
  margin: 0 auto;
}

.footermenu-wrapper li {
  margin: 50px;
}

.X,
.insta {
  width: 100px;
  height: 100px;
  background-color: #ffffff;
  border-radius: 50%;
  margin: 25px;
}

.X {
  background-image: url(../img/icon-X.jpg);
  background-size: 100%;
  background-position: center;
}

.insta {
  background-image: url(../img/icon-instagram.png);
  background-size: 100%;
  background-position: center;
}

/*コピーライト*/
.copy-text-wrapper {
  padding: 30px 0;
  margin-top: 20px;
}

/* ★★★★★★★ここからスマホ設定★★★★★★★ */
@media screen and (max-width: 959px) {
  /* ここからモバイル版共通設定 */

  .pc {
    display: block;
  }

  /*背景にロゴ表示設定*/
  body {
    background-size: 100px;
    background-image: url(../img/logo.png);
    background-attachment: fixed;
  }

  main {
    padding: 0 20px;
  }

  /*★★★★★ここからモバイル版ヘッダー設定★★★★★*/
  #header {
    max-width: 1000px;
  }

  .header-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  /*ロゴ設定*/
  .header-logo img {
    margin: 0;
    margin-left: 0;
    position: fixed;
    z-index: 100;
    top: 10px;
    left: 10px;
  }

  .header-logo {
    position: fixed;
    z-index: 100;
    top: 10px;
    left: 10px;
  }

  .headermenu-wrapper ul {
    flex-direction: column;
    position: fixed;
    top: 20px;
    right: 50px;
  }

  .headermenu-wrapper li {
    font-size: 28px;
    margin: 10px;
    margin-left: 0px;
  }

  /*★★★★★ ここからファーストビューモバイル版設定 ★★★★★*/
  #first-view {
    height: 100vh;
    background-size: cover;
    display: block;
    justify-content: center;
    padding: 0px;
    padding-top: 150px;
    margin-top: -100px;
  }

  .first-view-img1-wrapper {
    width: 600px;
  }

  .first-view-img1 {
    display: block;
    width: 600px;
    margin: 0 auto;
  }

  /*ひし形と文章コンテナ*/
  .first-view-img2-wrapper {
    height: 100%;
    width: 100%;
    align-items: center;
    display: flex;
    flex-direction: column;
    margin-top: 800px;
  }

  .first-view-p-wrapper {
    width: 100%;
    padding: 10px 50px;
    text-shadow: 0 0 20px rgba(255, 255, 255, 0.3);
  }

  .first-view-p-wrapper p {
    color: #333;
    text-shadow: 0 0 20px rgba(255, 255, 255, 0.3);
  }

  #first-view h3 {
    color: #333;
  }

  /*ひし形container*/
  .first-view-img2-container {
    width: 300px;
    height: 300px;
  }

  /*★★★★★ ここからFRAME　モバイル版設定 ★★★★★*/

  #frame {
    background-color: #fff;
    margin-top: 800px;
    height: 1000px;
    padding: 0px;
  }

  #frame h2 {
    font-size: 56px;
    padding: 20px;
  }

  /*frameテキスト設定*/
  .frame-text-wrapper {
    width: 80%;
    padding: 20px;
    background-color: rgba(250, 250, 255, 0.9);
    border-radius: 10px;
    position: absolute;
    top: 600px;
    left: 20px;
  }

  .frame-text-wrapper h3 {
    color: #3b393f;
    margin: 10px;
  }

  .frame-text-wrapper span {
    font-size: 38px;
    margin-left: 10px;
  }

  /*frame各画像設定*/
  /*人物青*/
  .frame-img1 {
    width: 500px;
    height: auto;
    position: absolute;
    top: 250px;
    left: 10%;
  }

  /*めがね*/
  .frame-img2 {
    width: 600px;
    height: auto;
    position: absolute;
    top: 700px;
    left: 60%;
  }

  /*人物赤*/
  .frame-img3 {
    width: 600px;
    height: auto;
    position: absolute;
    top: 100px;
    left: 45%;
  }

  /*★★★★★ここから　モバイル版model×GLASSEES設定★★★★★*/

  #model {
    margin-top: 200px;
    /* padding-bottom: 100px; */
  }

  #model h2 {
    font-size: 48px;
    padding-left: 0px;
    text-align: center;
  }

  .model-p {
    padding: 0 20px;
  }

  .model-wrapper1 {
    margin: 0 auto;
    flex-direction: column;
    margin-top: 70px;
  }

  /*眼鏡×モデル名タイトル*/
  .model-text-wrapper {
    width: 100%;
    max-width: 300px;
    margin: 0 auto;
  }

  /*model画像⓵*/
  .model-img-wrapper1 img {
    width: 95%;
    height: auto;
    margin: 0 auto;
    margin-left: 0;
  }

  /*眼鏡の写真*/
  .model1-img,
  .model2-img,
  .model3-img {
    width: 95%;
    height: 250px;
  }

  /*model画像⓶・⓷*/
  .model-img2 img {
    width: 95%;
    height: auto;
    margin: 0 auto;
  }

  .model-text-wrapper2 {
    margin-left: 0px;
  }

  /*Ryo Inoueなどモデル名*/
  .span3 {
    top: 10px;
    left: 10px;
    font-size: 16px;
  }

  /*眼鏡×モデル名タイトル設定*/
  .model-h4 {
    font-size: 48px;
    line-height: 60px;
  }

  /*Nose Relief &times; Kim Taehyung*/
  .h4-size {
    font-size: 48px;
  }

  /*眼鏡の金額*/
  .model-h4-price,
  .model-h4-price2 {
    font-size: 28px;
  }

  /*眼鏡のコンセプト*/
  .model-h4-sub,
  .model-h4-sub2 {
    font-size: 28px;
    margin-top: 10px;
  }

  /*眼鏡紹介文章*/
  .model-p {
    font-size: 16px;
    padding: 0 5px;
    width: 100%;
  }

  /*★★★★★ここからモバイル版About★★★★★*/

  #about {
    margin: 200px 0;
  }

  /*aboutロゴ・テキストflex設定*/
  .about1-text-wrapper {
    flex-direction: column;
  }

  .about1-logo-wrapper {
    flex-direction: column;
  }

  .about1-logo-wrapper h2 {
    font-size: 48px;
  }

  /*ロゴにつながる黒線*/
  .about1-logo-wrapper span {
    display: block;
    width: 300px;
    height: 2px;
    background-color: #333;
    position: absolute;
    top: 90px;
    left: 0%;
  }

  /*ロゴ設定*/
  .about-logo {
    display: block;
    width: 150px;
    margin-left: 100px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    /* border: solid 3px #323844; */
  }

  /*About本文設定*/
  .about2-p-wrapper {
    display: flex;
    justify-self: center;
    width: 500px;
    margin: 0 auto;
    padding: 0 100px;
  }

  .about1-wrapper,
  .about2-wrapper {
    display: flex;
    width: 1100px;
    justify-content: space-around;
    margin: 0 auto;
    align-items: center;
  }

  .about1-img-wrapper,
  .about2-img-wrapper {
    width: 530px;
    height: 370px;
    background-image: url(../img/glass-05.jpg);
    background-position: center;
    background-size: 80%;
    background-size: cover;
    border-radius: 5px;
  }

  .about2-img-wrapper {
    height: 450px;
    background-position: 0 -70px;
    background-image: url(../img/model-12.jpg);
  }

  /*★★★★★ここからモバイル版フッター設定★★★★★*/

  footer {
    padding-top: 80px;
  }

  footer a {
    font-size: 24px;
  }

  /*フッター・ロゴ*/
  footer img {
    width: 100px;
  }

  /*フッターメニュー並び順*/
  .footermenu-wrapper ul {
    width: 100%;
    margin: 0 auto;
    margin-top: 50px;
    flex-direction: column;
  }

  .footermenu-wrapper li {
    margin: 30px;
  }

  .X,
  .insta {
    width: 80px;
    height: 80px;
    margin: 15px;
  }

  /*コピーライト*/
  .copy-text-wrapper {
    padding: 30px 0;
    margin-top: 20px;
  }

  .copy-text-wrapper p {
    font-size: 12px;
  }
}

/* ここからフォント */
.sacramento-regular {
  font-family: "Sacramento", cursive;
  font-weight: 400;
  font-style: normal;
}

.zen-kaku-gothic-new-regular {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.zen-kaku-gothic-new-medium {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.zen-kaku-gothic-new-bold {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.zen-kaku-gothic-new-black {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.montserrat {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
}
